# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "jvr"
version = "0.3.1"
authors = ["photowey <photowey@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = """
A simple and easy-to-use Java version manager (registry: jvr), similar to Node.js's nvm,\r
but it does not follow nvm's naming convention. Otherwise, it would be named 'jvm',\r
which could cause command conflicts or ambiguity.\r
"""
homepage = "https://github.com/photowey/jvr"
documentation = "https://docs.rs/jvr"
readme = "README.md"
keywords = [
    "cli",
    "command-line",
    "binary",
    "jdk",
]
categories = ["command-line-utilities"]
license = "Apache-2.0"
repository = "https://github.com/photowey/jvr"
resolver = "2"

[package.metadata.docs.rs]
targets = ["x86_64-unknown-linux-gnu"]

[lib]
name = "jvr"
path = "src/lib.rs"

[[bin]]
name = "jvr"
path = "src/main.rs"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.dirs]
version = "5.0"

[dependencies.prettytable]
version = "0.10"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[target."cfg(windows)".dependencies.windows]
version = "0.58"
features = [
    "Win32_UI_WindowsAndMessaging",
    "Win32_Foundation",
]

[target."cfg(windows)".dependencies.windows-sys]
version = "0.52"
features = ["Win32_System_Registry"]

[target."cfg(windows)".dependencies.winreg]
version = "0.52"
